Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.service
Interface Service

All Known Subinterfaces:
  RemoteService, SecurityService

All Known Implementing Classes:
  BasicService, RMIService

    public interface Service

Method Summary
`boolean` | `processCommand(APDU apdu)`
`boolean` | `processDataIn(APDU apdu)`
`boolean` | `processDataOut(APDU apdu)`

Method Detail

### processDataIn

    boolean processDataIn(APDU apdu)

### processCommand

    boolean processCommand(APDU apdu)

### processDataOut

    boolean processDataOut(APDU apdu)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD